/realms/{realmId}/organizations/{organizationId}/customer
curl --request POST \
--url https://api.customer.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/customer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"document": "<string>",
"address": {
"city": "<string>",
"neighborhood": "<string>",
"number": "<string>",
"street": "<string>",
"postalCode": "<string>",
"complement": "<string>"
},
"trandingName": "<string>",
"customFields": [
{
"id": "<string>",
"label": "<string>",
"values": [
"<string>"
],
"identifier": "<string>",
"version": 123
}
]
}
'import requests
url = "https://api.customer.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/customer"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"document": "<string>",
"address": {
"city": "<string>",
"neighborhood": "<string>",
"number": "<string>",
"street": "<string>",
"postalCode": "<string>",
"complement": "<string>"
},
"trandingName": "<string>",
"customFields": [
{
"id": "<string>",
"label": "<string>",
"values": ["<string>"],
"identifier": "<string>",
"version": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>',
document: '<string>',
address: {
city: '<string>',
neighborhood: '<string>',
number: '<string>',
street: '<string>',
postalCode: '<string>',
complement: '<string>'
},
trandingName: '<string>',
customFields: [
{
id: '<string>',
label: '<string>',
values: ['<string>'],
identifier: '<string>',
version: 123
}
]
})
};
fetch('https://api.customer.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"hash": "<string>",
"address": {
"street": "<string>",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"name": "<string>",
"document": "<string>",
"documentType": "<string>",
"trandingName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"customFields": [
{
"id": "<string>",
"label": "<string>",
"values": [
"<string>"
],
"identifier": "<string>",
"externalIdentifier": "<string>",
"type": "<string>",
"version": 123
}
]
}Customers
/realms/{realmId}/organizations/{organizationId}/customer
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
customer
/realms/{realmId}/organizations/{organizationId}/customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 100Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
/realms/{realmId}/organizations/{organizationId}/customer/realms/{realmId}/organizations/{organizationId}/customer/{customerId}
⌘I